Author: Helmut Grohne <helmut@subdivi.de>
Description: Fix cross building
Forwarded: not-yet

Index: zita-dc1/source/Makefile
===================================================================
--- zita-dc1.orig/source/Makefile
+++ zita-dc1/source/Makefile
@@ -21,11 +21,12 @@
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 SHARED ?= $(PREFIX)/share/zita-dc1
+CXX ?= g++
+PKG_CONFIG ?= pkg-config
 
 VERSION = 0.3.3
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CXXFLAGS += -O2 -Wall -ffast-math -pthread
-CXXFLAGS += -march=native
 
 
 all:	zita-dc1
@@ -33,11 +34,11 @@ all:	zita-dc1
 
 ZITA-DC1_O = zita-dc1.o styles.o jclient.o mainwin.o png2img.o guiclass.o \
 	button.o rotary.o gmeter.o dyncom1.o
-zita-dc1:	CPPFLAGS += $(shell pkg-config --cflags freetype2)
+zita-dc1:	CPPFLAGS += $(shell $(PKG_CONFIG) --cflags freetype2)
 zita-dc1:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lpthread \
 	-lcairo -lXft -lX11 -lrt
 zita-dc1:	$(ZITA-DC1_O) 
-	g++ $(LDFLAGS) -o $@ $(ZITA-DC1_O) $(LDLIBS)
+	$(CXX) $(LDFLAGS) -o $@ $(ZITA-DC1_O) $(LDLIBS)
 $(ZITA-DC1_O):
 -include $(ZITA-DC1_O:%.o=%.d)
 
